﻿Attribute VB_Name = "modMSAccess15_Enums"
Option Compare Database
Option Explicit

' **********************************************************************************************************
' Module:      	modMSAccess15_Enums
' Author:      	Philipp Stiefel (phil@codekabinett.com)
' Purpose:     	Enums/Constants for Access Automation with Late Binding
' Further info: English: 		http://codekabinett.com/page.php?Theme=10&Lang=2#office-automation-constants-vba-module
' 				German/Deutsch:	http://codekabinett.com/page.php?Theme=10&Lang=1#office-automation-konstanten-vba-modul
' Usage rights: You are free to use this module in any of your applications free of charge, 
'				as long as this notice remains unchanged.
' **********************************************************************************************************

Public Enum AcModuleType
	acStandardModule = 0
	acClassModule = 1
End Enum

Public Enum AcCloseSave
	acSavePrompt = 0
	acSaveYes = 1
	acSaveNo = 2
End Enum

Public Enum AcQuitOption
	acQuitPrompt = 0
	acQuitSaveAll = 1
	acQuitSaveNone = 2
End Enum

Public Enum AcSection
	acDetail = 0
	acHeader = 1
	acFooter = 2
	acPageHeader = 3
	acPageFooter = 4
	acGroupLevel1Header = 5
	acGroupLevel1Footer = 6
	acGroupLevel2Header = 7
	acGroupLevel2Footer = 8
End Enum

Public Enum AcControlType
	acLabel = 100
	acRectangle = 101
	acLine = 102
	acImage = 103
	acCommandButton = 104
	acOptionButton = 105
	acCheckBox = 106
	acOptionGroup = 107
	acBoundObjectFrame = 108
	acTextBox = 109
	acListBox = 110
	acComboBox = 111
	acSubform = 112
	acObjectFrame = 114
	acPageBreak = 118
	acCustomControl = 119
	acToggleButton = 122
	acTabCtl = 123
	acPage = 124
	acAttachment = 126
	acEmptyCell = 127
	acWebBrowser = 128
	acNavigationControl = 129
	acNavigationButton = 130
End Enum

Public Enum AcDataObjectType
	acActiveDataObject = -1
	acDataTable = 0
	acDataQuery = 1
	acDataForm = 2
	acDataReport = 3
	acDataServerView = 7
	acDataStoredProcedure = 9
	acDataFunction = 10
End Enum

Public Enum AcDataTransferType
	acImport = 0
	acExport = 1
	acLink = 2
End Enum

Public Enum AcSendObjectType
	acSendNoObject = -1
	acSendTable = 0
	acSendQuery = 1
	acSendForm = 2
	acSendReport = 3
	acSendModule = 5
	acSendDataAccessPage = 6
End Enum

Public Enum AcObjectType
	acDefault = -1
	acTable = 0
	acQuery = 1
	acForm = 2
	acReport = 3
	acMacro = 4
	acModule = 5
	acDataAccessPage = 6
	acServerView = 7
	acDiagram = 8
	acStoredProcedure = 9
	acFunction = 10
	acDatabaseProperties = 11
	acTableDataMacro = 12
End Enum

Public Enum AcFindField
	acCurrent = -1
	acAll = 0
End Enum

Public Enum AcFindMatch
	acAnywhere = 0
	acEntire = 1
	acStart = 2
End Enum

Public Enum AcFormView
	acNormal = 0
	acDesign = 1
	acPreview = 2
	acFormDS = 3
	acFormPivotTable = 4
	acFormPivotChart = 5
	acLayout = 6
End Enum

Public Enum AcDataAccessPageView
	acDataAccessPageBrowse = 0
	acDataAccessPageDesign = 1
End Enum

Public Enum AcOpenDataMode
	acAdd = 0
	acEdit = 1
	acReadOnly = 2
End Enum

Public Enum AcFormOpenDataMode
	acFormPropertySettings = -1
	acFormAdd = 0
	acFormEdit = 1
	acFormReadOnly = 2
End Enum

Public Enum AcOutputObjectType
	acOutputTable = 0
	acOutputQuery = 1
	acOutputForm = 2
	acOutputReport = 3
	acOutputModule = 5
	acOutputDataAccessPage = 6
	acOutputServerView = 7
	acOutputStoredProcedure = 9
	acOutputFunction = 10
End Enum

Public Enum AcPrintQuality
	acHigh = 0
	acMedium = 1
	acLow = 2
	acDraft = 3
End Enum

Public Enum AcPrintRange
	acPrintAll = 0
	acSelection = 1
	acPages = 2
End Enum

Public Enum AcRecord
	acPrevious = 0
	acNext = 1
	acFirst = 2
	acLast = 3
	acGoTo = 4
	acNewRec = 5
End Enum

Public Enum AcSearchDirection
	acUp = 0
	acDown = 1
	acSearchAll = 2
End Enum

Public Enum AcSysCmdAction
	acSysCmdInitMeter = 1
	acSysCmdUpdateMeter = 2
	acSysCmdRemoveMeter = 3
	acSysCmdSetStatus = 4
	acSysCmdClearStatus = 5
	acSysCmdRuntime = 6
	acSysCmdAccessVer = 7
	acSysCmdIniFile = 8
	acSysCmdAccessDir = 9
	acSysCmdGetObjectState = 10
	acSysCmdClearHelpTopic = 11
	acSysCmdProfile = 12
	acSysCmdGetWorkgroupFile = 13
End Enum

Public Enum AcTextTransferType
	acImportDelim = 0
	acImportFixed = 1
	acExportDelim = 2
	acExportFixed = 3
	acExportMerge = 4
	acLinkDelim = 5
	acLinkFixed = 6
	acImportHTML = 7
	acExportHTML = 8
	acLinkHTML = 9
End Enum

Public Enum AcView
	acViewNormal = 0
	acViewDesign = 1
	acViewPreview = 2
	acViewPivotTable = 3
	acViewPivotChart = 4
	acViewReport = 5
	acViewLayout = 6
End Enum

Public Enum AcWindowMode
	acWindowNormal = 0
	acHidden = 1
	acIcon = 2
	acDialog = 3
End Enum

Public Enum AcFilterType
	acFilterNormal = 0
	acServerFilter = 1
End Enum

Public Enum AcSpreadSheetType
	acSpreadsheetTypeExcel3 = 0
	acSpreadsheetTypeLotusWK1 = 2
	acSpreadsheetTypeLotusWK3 = 3
	acSpreadsheetTypeLotusWJ2 = 4
	acSpreadsheetTypeExcel5 = 5
	acSpreadsheetTypeExcel7 = 5
	acSpreadsheetTypeExcel4 = 6
	acSpreadsheetTypeLotusWK4 = 7
	acSpreadsheetTypeExcel97 = 8
	acSpreadsheetTypeExcel8 = 8
	acSpreadsheetTypeExcel9 = 8
	acSpreadsheetTypeExcel12 = 9
	acSpreadsheetTypeExcel12Xml = 10
End Enum

Public Enum AcImeMode
	acImeModeNoControl = 0
	acImeModeOn = 1
	acImeModeOff = 2
	acImeModeDisable = 3
	acImeModeHiragana = 4
	acImeModeKatakana = 5
	acImeModeKatakanaHalf = 6
	acImeModeAlphaFull = 7
	acImeModeAlpha = 8
	acImeModeHangulFull = 9
	acImeModeHangul = 10
End Enum

Public Enum AcImeSentenceMode
	acImeSentenceModePhrasePredict = 0
	acImeSentenceModePluralClause = 1
	acImeSentenceModeConversation = 2
	acImeSentenceModeNone = 3
End Enum

Public Enum AcHyperlinkPart
	acDisplayedValue = 0
	acDisplayText = 1
	acAddress = 2
	acSubAddress = 3
	acScreenTip = 4
	acFullAddress = 5
End Enum

Public Enum AcProjectType
	acNull = 0
	acADP = 1
	acMDB = 2
End Enum

Public Enum AcCommand
	acCmdWindowUnhide = 1
	acCmdWindowHide = 2
	acCmdExit = 3
	acCmdCompactDatabase = 4
	acCmdEncryptDecryptDatabase = 5
	acCmdRepairDatabase = 6
	acCmdMakeMDEFile = 7
	acCmdMoreWindows = 8
	acCmdAppRestore = 9
	acCmdAppMaximize = 10
	acCmdAppMinimize = 11
	acCmdAppMove = 12
	acCmdAppSize = 13
	acCmdDocRestore = 14
	acCmdDocMaximize = 15
	acCmdDocMove = 16
	acCmdDocSize = 17
	acCmdRefresh = 18
	acCmdFont = 19
	acCmdSave = 20
	acCmdSaveAs = 21
	acCmdWindowCascade = 22
	acCmdTileVertically = 23
	acCmdWindowArrangeIcons = 24
	acCmdOpenDatabase = 25
	acCmdNewDatabase = 26
	acCmdOLEDDELinks = 27
	acCmdRecordsGoToNew = 28
	acCmdReplace = 29
	acCmdFind = 30
	acCmdRunMacro = 31
	acCmdPageSetup = 32
	acCmdInsertObject = 33
	acCmdDuplicate = 34
	acCmdAboutMicrosoftAccess = 35
	acCmdFormHdrFtr = 36
	acCmdReportHdrFtr = 37
	acCmdPasteAppend = 38
	acCmdInsertFile = 39
	acCmdSelectForm = 40
	acCmdTabOrder = 41
	acCmdFieldList = 42
	acCmdAlignLeft = 43
	acCmdAlignRight = 44
	acCmdAlignTop = 45
	acCmdAlignBottom = 46
	acCmdAlignToGrid = 47
	acCmdSizeToGrid = 48
	acCmdOptions = 49
	acCmdSelectRecord = 50
	acCmdSortingAndGrouping = 51
	acCmdBringToFront = 52
	acCmdSendToBack = 53
	acCmdPrintPreview = 54
	acCmdApplyDefault = 55
	acCmdSetControlDefaults = 56
	acCmdOLEObjectDefaultVerb = 57
	acCmdClose = 58
	acCmdSizeToFit = 59
	acCmdDocMinimize = 60
	acCmdViewRuler = 61
	acCmdSnapToGrid = 62
	acCmdViewGrid = 63
	acCmdPasteSpecial = 64
	acCmdRecordsGoToNext = 65
	acCmdRecordsGoToPrevious = 66
	acCmdRecordsGoToFirst = 67
	acCmdRecordsGoToLast = 68
	acCmdSizeToFitForm = 69
	acCmdEditingAllowed = 70
	acCmdClearGrid = 71
	acCmdJoinProperties = 72
	acCmdQueryTotals = 73
	acCmdQueryTypeCrosstab = 74
	acCmdTableNames = 75
	acCmdQueryParameters = 76
	acCmdFormatCells = 77
	acCmdDataEntry = 78
	acCmdHideColumns = 79
	acCmdUnhideColumns = 80
	acCmdDeleteQueryColumn = 81
	acCmdInsertQueryColumn = 82
	acCmdRemoveTable = 84
	acCmdViewToolbox = 85
	acCmdMacroNames = 86
	acCmdMacroConditions = 87
	acCmdSingleStep = 88
	acCmdQueryTypeSelect = 89
	acCmdQueryTypeUpdate = 90
	acCmdQueryTypeAppend = 91
	acCmdQueryTypeDelete = 92
	acCmdApplyFilterSort = 93
	acCmdQueryTypeMakeTable = 94
	acCmdLoadFromQuery = 95
	acCmdSaveAsQuery = 96
	acCmdSaveRecord = 97
	acCmdAdvancedFilterSort = 99
	acCmdMicrosoftAccessHelpTopics = 100
	acCmdLinkTables = 102
	acCmdUserAndGroupPermissions = 103
	acCmdUserAndGroupAccounts = 104
	acCmdFreezeColumn = 105
	acCmdUnfreezeAllColumns = 106
	acCmdPrimaryKey = 107
	acCmdSubformDatasheet = 108
	acCmdSelectAllRecords = 109
	acCmdViewTables = 110
	acCmdViewQueries = 111
	acCmdViewForms = 112
	acCmdViewReports = 113
	acCmdViewMacros = 114
	acCmdViewModules = 115
	acCmdRowHeight = 116
	acCmdColumnWidth = 117
	acCmdInsertFileIntoModule = 118
	acCmdSaveModuleAsText = 119
	acCmdFindPrevious = 120
	acCmdWindowSplit = 121
	acCmdProcedureDefinition = 122
	acCmdDebugWindow = 123
	acCmdReset = 124
	acCmdCompileAllModules = 125
	acCmdCompileAndSaveAllModules = 126
	acCmdGoContinue = 127
	acCmdStepOver = 128
	acCmdSetNextStatement = 129
	acCmdShowNextStatement = 130
	acCmdToggleBreakpoint = 131
	acCmdClearAllBreakpoints = 132
	acCmdRelationships = 133
	acCmdNewObjectTable = 134
	acCmdNewObjectQuery = 135
	acCmdNewObjectForm = 136
	acCmdNewObjectReport = 137
	acCmdNewObjectMacro = 138
	acCmdNewObjectModule = 139
	acCmdNewObjectClassModule = 140
	acCmdLayoutPreview = 141
	acCmdSaveAsReport = 142
	acCmdRename = 143
	acCmdRemoveFilterSort = 144
	acCmdSaveLayout = 145
	acCmdClearAll = 146
	acCmdHideTable = 147
	acCmdShowDirectRelationships = 148
	acCmdShowAllRelationships = 149
	acCmdCreateRelationship = 150
	acCmdEditRelationship = 151
	acCmdIndexes = 152
	acCmdAlignToShortest = 153
	acCmdAlignToTallest = 154
	acCmdSizeToNarrowest = 155
	acCmdSizeToWidest = 156
	acCmdHorizontalSpacingMakeEqual = 157
	acCmdHorizontalSpacingDecrease = 158
	acCmdHorizontalSpacingIncrease = 159
	acCmdVerticalSpacingMakeEqual = 160
	acCmdVerticalSpacingDecrease = 161
	acCmdVerticalSpacingIncrease = 162
	acCmdSortAscending = 163
	acCmdSortDescending = 164
	acCmdToolbarsCustomize = 165
	acCmdOLEObjectConvert = 167
	acCmdQueryTypeSQLDataDefinition = 168
	acCmdQueryTypeSQLPassThrough = 169
	acCmdViewCode = 170
	acCmdConvertDatabase = 171
	acCmdCallStack = 172
	acCmdSend = 173
	acCmdOutputToExcel = 175
	acCmdOutputToRTF = 176
	acCmdOutputToText = 177
	acCmdInvokeBuilder = 178
	acCmdZoomBox = 179
	acCmdQueryTypeSQLUnion = 180
	acCmdRun = 181
	acCmdPageHdrFtr = 182
	acCmdDesignView = 183
	acCmdSQLView = 184
	acCmdShowTable = 185
	acCmdCloseWindow = 186
	acCmdInsertRows = 187
	acCmdDeleteRows = 188
	acCmdCut = 189
	acCmdCopy = 190
	acCmdPaste = 191
	acCmdAutoDial = 192
	acCmdNewObjectAutoForm = 193
	acCmdNewObjectAutoReport = 194
	acCmdWordMailMerge = 195
	acCmdTestValidationRules = 196
	acCmdControlWizardsToggle = 197
	acCmdEnd = 198
	acCmdRedo = 199
	acCmdObjectBrowser = 200
	acCmdAddWatch = 201
	acCmdEditWatch = 202
	acCmdQuickWatch = 203
	acCmdStepToCursor = 204
	acCmdIndent = 205
	acCmdOutdent = 206
	acCmdFilterByForm = 207
	acCmdFilterBySelection = 208
	acCmdViewLargeIcons = 209
	acCmdViewDetails = 210
	acCmdViewSmallIcons = 211
	acCmdViewList = 212
	acCmdLineUpIcons = 213
	acCmdArrangeIconsByName = 214
	acCmdArrangeIconsByType = 215
	acCmdArrangeIconsByCreated = 216
	acCmdArrangeIconsByModified = 217
	acCmdArrangeIconsAuto = 218
	acCmdCreateShortcut = 219
	acCmdToggleFilter = 220
	acCmdOpenTable = 221
	acCmdInsertPicture = 222
	acCmdDeleteRecord = 223
	acCmdStartupProperties = 224
	acCmdPageNumber = 225
	acCmdDateAndTime = 226
	acCmdChangeToTextBox = 227
	acCmdChangeToLabel = 228
	acCmdChangeToListBox = 229
	acCmdChangeToComboBox = 230
	acCmdChangeToCheckBox = 231
	acCmdChangeToToggleButton = 232
	acCmdChangeToOptionButton = 233
	acCmdChangeToImage = 234
	acCmdAnswerWizard = 235
	acCmdMicrosoftOnTheWeb = 236
	acCmdClearItemDefaults = 237
	acCmdZoom200 = 238
	acCmdZoom150 = 239
	acCmdZoom100 = 240
	acCmdZoom75 = 241
	acCmdZoom50 = 242
	acCmdZoom25 = 243
	acCmdZoom10 = 244
	acCmdFitToWindow = 245
	acCmdPreviewOnePage = 246
	acCmdPreviewTwoPages = 247
	acCmdPreviewFourPages = 248
	acCmdPreviewEightPages = 249
	acCmdPreviewTwelvePages = 250
	acCmdOpenURL = 251
	acCmdOpenStartPage = 252
	acCmdOpenSearchPage = 253
	acCmdRegisterActiveXControls = 254
	acCmdDeleteTab = 255
	acCmdDatabaseProperties = 256
	acCmdImport = 257
	acCmdInsertActiveXControl = 258
	acCmdInsertHyperlink = 259
	acCmdReferences = 260
	acCmdAutoCorrect = 261
	acCmdInsertProcedure = 262
	acCmdCreateReplica = 263
	acCmdSynchronizeNow = 264
	acCmdRecoverDesignMaster = 265
	acCmdResolveConflicts = 266
	acCmdDeleteWatch = 267
	acCmdSpelling = 269
	acCmdAutoFormat = 270
	acCmdDeleteTableColumn = 271
	acCmdInsertTableColumn = 272
	acCmdInsertLookupColumn = 273
	acCmdRenameColumn = 274
	acCmdSetDatabasePassword = 275
	acCmdUserLevelSecurityWizard = 276
	acCmdFilterExcludingSelection = 277
	acCmdQuickPrint = 278
	acCmdConvertMacrosToVisualBasic = 279
	acCmdSaveAllModules = 280
	acCmdFormView = 281
	acCmdDatasheetView = 282
	acCmdAnalyzePerformance = 283
	acCmdAnalyzeTable = 284
	acCmdDocumenter = 285
	acCmdTileHorizontally = 286
	acCmdProperties = 287
	acCmdTransparentBackground = 288
	acCmdTransparentBorder = 289
	acCmdCompileLoadedModules = 290
	acCmdInsertLookupField = 291
	acCmdUndo = 292
	acCmdInsertChart = 293
	acCmdGoBack = 294
	acCmdGoForward = 295
	acCmdStopLoadingPage = 296
	acCmdRefreshPage = 297
	acCmdFavoritesOpen = 298
	acCmdFavoritesAddTo = 299
	acCmdShowOnlyWebToolbar = 300
	acCmdToolbarControlProperties = 301
	acCmdShowMembers = 302
	acCmdListConstants = 303
	acCmdQuickInfo = 304
	acCmdParameterInfo = 305
	acCmdCompleteWord = 306
	acCmdBookmarksToggle = 307
	acCmdBookmarksNext = 308
	acCmdBookmarksPrevious = 309
	acCmdBookmarksClearAll = 310
	acCmdStepOut = 311
	acCmdFindPrevWordUnderCursor = 312
	acCmdFindNextWordUnderCursor = 313
	acCmdObjBrwFindWholeWordOnly = 314
	acCmdObjBrwShowHiddenMembers = 315
	acCmdObjBrwHelp = 316
	acCmdObjBrwViewDefinition = 317
	acCmdObjBrwGroupMembers = 318
	acCmdSelectReport = 319
	acCmdSaveAsHTML = 321
	acCmdSaveAsIDC = 322
	acCmdSaveAsASP = 323
	acCmdPublishDefaults = 324
	acCmdEditHyperlink = 325
	acCmdOpenHyperlink = 326
	acCmdOpenNewHyperlink = 327
	acCmdCopyHyperlink = 328
	acCmdHyperlinkDisplayText = 329
	acCmdTabControlPageOrder = 330
	acCmdInsertPage = 331
	acCmdDeletePage = 332
	acCmdSelectAll = 333
	acCmdCreateMenuFromMacro = 334
	acCmdCreateToolbarFromMacro = 335
	acCmdCreateShortcutMenuFromMacro = 336
	acCmdDelete = 337
	acCmdRunOpenMacro = 338
	acCmdLastPosition = 339
	acCmdPrint = 340
	acCmdFindNext = 341
	acCmdStepInto = 342
	acCmdClearHyperlink = 343
	acCmdDataAccessPageBrowse = 344
	acCmdNewObjectDataAccessPage = 346
	acCmdSelectDataAccessPage = 347
	acCmdViewDataAccessPages = 349
	acCmdNewObjectView = 350
	acCmdNewObjectStoredProcedure = 351
	acCmdNewObjectDiagram = 352
	acCmdViewFieldList = 353
	acCmdViewDiagrams = 354
	acCmdViewStoredProcedures = 355
	acCmdViewViews = 356
	acCmdViewShowPaneSQL = 357
	acCmdViewShowPaneDiagram = 358
	acCmdViewShowPaneGrid = 359
	acCmdViewVerifySQL = 360
	acCmdQueryGroupBy = 361
	acCmdQueryAddToOutput = 362
	acCmdViewTableColumnNames = 363
	acCmdViewTableNameOnly = 364
	acCmdHidePane = 365
	acCmdRemove = 366
	acCmdViewTableColumnProperties = 368
	acCmdViewTableKeys = 369
	acCmdViewTableUserView = 370
	acCmdZoomSelection = 371
	acCmdDiagramNewLabel = 372
	acCmdDiagramAddRelatedTables = 373
	acCmdDiagramShowRelationshipLabels = 374
	acCmdDiagramModifyUserDefinedView = 375
	acCmdDiagramViewPageBreaks = 376
	acCmdDiagramRecalculatePageBreaks = 377
	acCmdDiagramAutosizeSelectedTables = 378
	acCmdDiagramLayoutSelection = 379
	acCmdDiagramLayoutDiagram = 380
	acCmdDiagramNewTable = 381
	acCmdDiagramDeleteRelationship = 382
	acCmdConnection = 383
	acCmdEditTriggers = 384
	acCmdDataAccessPageDesignView = 385
	acCmdPromote = 386
	acCmdGroupByTable = 387
	acCmdDemote = 388
	acCmdSaveAsDataAccessPage = 389
	acCmdMicrosoftScriptEditor = 390
	acCmdWorkgroupAdministrator = 391
	acCmdNewObjectFunction = 394
	acCmdViewFunctions = 395
	acCmdPivotTableView = 396
	acCmdPivotChartView = 397
	acCmdPivotAutoFilter = 398
	acCmdPivotTableSubtotal = 399
	acCmdPivotCollapse = 400
	acCmdPivotExpand = 401
	acCmdPivotTableHideDetails = 402
	acCmdPivotTableShowDetails = 403
	acCmdPivotRefresh = 404
	acCmdPivotTableExportToExcel = 405
	acCmdPivotTableMoveToRowArea = 406
	acCmdPivotTableMoveToColumnArea = 407
	acCmdPivotTableMoveToFilterArea = 408
	acCmdPivotTableMoveToDetailArea = 409
	acCmdPivotTablePromote = 410
	acCmdPivotTableDemote = 411
	acCmdPivotAutoSum = 412
	acCmdPivotAutoCount = 413
	acCmdPivotAutoMin = 414
	acCmdPivotAutoMax = 415
	acCmdPivotAutoAverage = 416
	acCmdPivotAutoStdDev = 417
	acCmdPivotAutoVar = 418
	acCmdPivotAutoStdDevP = 419
	acCmdPivotAutoVarP = 420
	acCmdPivotShowTop1 = 421
	acCmdPivotShowTop2 = 422
	acCmdPivotShowTop5 = 423
	acCmdPivotShowTop10 = 424
	acCmdPivotShowTop25 = 425
	acCmdPivotShowTop1Percent = 426
	acCmdPivotShowTop2Percent = 427
	acCmdPivotShowTop5Percent = 428
	acCmdPivotShowTop10Percent = 429
	acCmdPivotShowTop25Percent = 430
	acCmdPivotShowTopOther = 431
	acCmdPivotShowBottom1 = 432
	acCmdPivotShowBottom2 = 433
	acCmdPivotShowBottom5 = 434
	acCmdPivotShowBottom10 = 435
	acCmdPivotShowBottom25 = 436
	acCmdPivotShowBottom1Percent = 437
	acCmdPivotShowBottom2Percent = 438
	acCmdPivotShowBottom5Percent = 439
	acCmdPivotShowBottom10Percent = 440
	acCmdPivotShowBottom25Percent = 441
	acCmdPivotShowBottomOther = 442
	acCmdPivotTableCreateCalcTotal = 443
	acCmdPivotTableCreateCalcField = 444
	acCmdPivotTableShowAsNormal = 445
	acCmdPivotTablePercentRowTotal = 446
	acCmdPivotTablePercentColumnTotal = 447
	acCmdPivotTablePercentParentRowItem = 448
	acCmdPivotTablePercentParentColumnItem = 449
	acCmdPivotTablePercentGrandTotal = 450
	acCmdPivotTableExpandIndicators = 451
	acCmdPivotDropAreas = 452
	acCmdPivotChartType = 453
	acCmdPivotDelete = 454
	acCmdPivotChartShowLegend = 455
	acCmdPivotChartByRowByColumn = 456
	acCmdPivotChartDrillInto = 457
	acCmdPivotChartMultiplePlots = 458
	acCmdPivotChartMultiplePlotsUnifiedScale = 459
	acCmdPivotChartUndo = 460
	acCmdPivotShowAll = 461
	acCmdSubformFormView = 462
	acCmdSubformDatasheetView = 463
	acCmdSubformPivotTableView = 464
	acCmdSubformPivotChartView = 465
	acCmdWebPagePreview = 466
	acCmdPageProperties = 467
	acCmdDataOutline = 468
	acCmdInsertMovieFromFile = 469
	acCmdInsertPivotTable = 470
	acCmdInsertSpreadsheet = 471
	acCmdInsertUnboundSection = 472
	acCmdWebTheme = 473
	acCmdBackgroundPicture = 474
	acCmdBackgroundSound = 475
	acCmdAlignMiddle = 476
	acCmdAlignCenter = 477
	acCmdAlignmentAndSizing = 478
	acCmdDataAccessPageFieldListRefresh = 479
	acCmdDataAccessPageAddToPage = 480
	acCmdZoom500 = 481
	acCmdZoom1000 = 482
	acCmdPrintRelationships = 483
	acCmdGroupControls = 484
	acCmdUngroupControls = 485
	acCmdWebPageProperties = 486
	acCmdExport = 487
	acCmdOfficeClipboard = 488
	acCmdDeleteTable = 489
	acCmdPasteAsHyperlink = 490
	acCmdNewGroup = 491
	acCmdRenameGroup = 492
	acCmdDeleteGroup = 493
	acCmdAddToNewGroup = 494
	acCmdSubformInNewWindow = 495
	acCmdServerProperties = 496
	acCmdTableCustomView = 497
	acCmdTableAddTable = 498
	acCmdInsertSubdatasheet = 499
	acCmdConditionalFormatting = 500
	acCmdChangeToCommandButton = 501
	acCmdSubdatasheetExpandAll = 504
	acCmdSubdatasheetCollapseAll = 505
	acCmdSubdatasheetRemove = 506
	acCmdServerFilterByForm = 507
	acCmdMaximiumRecords = 508
	acCmdSpeech = 511
	acCmdBackup = 513
	acCmdRestore = 514
	acCmdTransferSQLDatabase = 515
	acCmdCopyDatabaseFile = 516
	acCmdDropSQLDatabase = 517
	acCmdLinkedTableManager = 519
	acCmdDatabaseSplitter = 520
	acCmdSwitchboardManager = 521
	acCmdUpsizingWizard = 522
	acCmdPartialReplicaWizard = 524
	acCmdVisualBasicEditor = 525
	acCmdAddInManager = 526
	acCmdPivotTableClearCustomOrdering = 527
	acCmdPivotTableFilterBySelection = 528
	acCmdPivotTableRemove = 529
	acCmdPivotTableGroupItems = 530
	acCmdPivotTableUngroupItems = 531
	acCmdPivotChartDrillOut = 532
	acCmdShowEnvelope = 533
	acCmdPivotChartSortAscByTotal = 534
	acCmdPivotChartSortDescByTotal = 535
	acCmdViewObjectDependencies = 536
	acCmdPublishDatabase = 537
	acCmdCloseDatabase = 538
	acCmdReportView = 539
	acCmdToggleOffline = 540
	acCmdRefreshData = 541
	acCmdShareOnSharePoint = 542
	acCmdSavedImports = 543
	acCmdImportAttachAccess = 544
	acCmdImportAttachExcel = 545
	acCmdImportAttachText = 546
	acCmdImportAttachSharePointList = 547
	acCmdImportAttachXML = 548
	acCmdImportAttachODBC = 549
	acCmdImportAttachHTML = 550
	acCmdImportAttachOutlook = 551
	acCmdImportAttachdBase = 552
	acCmdImportAttachParadox = 553
	acCmdImportAttachLotus = 554
	acCmdSavedExports = 555
	acCmdExportExcel = 556
	acCmdExportSharePointList = 557
	acCmdExportRTF = 558
	acCmdExportAccess = 559
	acCmdExportText = 560
	acCmdExportXML = 561
	acCmdExportODBC = 562
	acCmdExportSnapShot = 563
	acCmdExportHTML = 564
	acCmdExportdBase = 565
	acCmdExportParadox = 566
	acCmdExportLotus = 567
	acCmdStackedLayout = 568
	acCmdTabularLayout = 569
	acCmdSelectEntireRow = 570
	acCmdSelectEntireColumn = 571
	acCmdMoveColumnCellUp = 572
	acCmdMoveColumnCellDown = 573
	acCmdLayoutGridlinesBoth = 574
	acCmdLayoutGridlinesVertical = 575
	acCmdLayoutGridlinesHorizontal = 576
	acCmdLayoutGridlinesNone = 577
	acCmdLayoutGridlinesCrossHatch = 578
	acCmdLayoutGridlinesTop = 579
	acCmdLayoutGridlinesBottom = 580
	acCmdLayoutGridlinesOutline = 581
	acCmdRemoveFromLayout = 582
	acCmdAddFromOutlook = 583
	acCmdSaveAsOutlookContact = 584
	acCmdInsertLogo = 585
	acCmdInsertTitle = 586
	acCmdPasteFormatting = 587
	acCmdMacroArguments = 588
	acCmdMacroAllActions = 589
	acCmdPrintSelection = 590
	acCmdPublishFixedFormat = 591
	acCmdExportFixedFormat = 592
	acCmdLayoutView = 593
	acCmdNewObjectContinuousForm = 594
	acCmdNewObjectSplitForm = 595
	acCmdNewObjectPivotChart = 596
	acCmdNewObjectPivotTable = 597
	acCmdNewObjectDatasheetForm = 598
	acCmdNewObjectModalForm = 599
	acCmdNewObjectBlankForm = 600
	acCmdNewObjectLabelsReport = 601
	acCmdNewObjectBlankReport = 602
	acCmdNewObjectDesignQuery = 603
	acCmdNewObjectDesignForm = 604
	acCmdNewObjectDesignReport = 605
	acCmdNewObjectDesignTable = 606
	acCmdEditListItems = 607
	acCmdCollectDataViaEmail = 608
	acCmdManageReplies = 609
	acCmdAnchorTopLeft = 610
	acCmdAnchorStretchAcross = 611
	acCmdAnchorTopRight = 612
	acCmdAnchorStretchDown = 613
	acCmdAnchorStretchDownAcross = 614
	acCmdAnchorStretchDownRight = 615
	acCmdAnchorBottomLeft = 616
	acCmdAnchorBottomStretchAcross = 617
	acCmdAnchorBottomRight = 618
	acCmdFilterMenu = 619
	acCmdShowColumnHistory = 620
	acCmdBrowseSharePointList = 621
	acCmdModifySharePointList = 622
	acCmdModifySharePointListAlerts = 623
	acCmdModifySharePointListWorkflow = 624
	acCmdModifySharePointListPermissions = 625
	acCmdRefreshSharePointList = 626
	acCmdDeleteSharePointList = 627
	acCmdControlMarginsNone = 628
	acCmdControlMarginsNarrow = 629
	acCmdControlMarginsMedium = 630
	acCmdControlMarginsWide = 631
	acCmdControlPaddingNone = 632
	acCmdControlPaddingNarrow = 633
	acCmdControlPaddingMedium = 634
	acCmdControlPaddingWide = 635
	acCmdShowDatePicker = 636
	acCmdSetCaption = 637
	acCmdSynchronize = 638
	acCmdDiscardChanges = 639
	acCmdDiscardChangesAndRefresh = 640
	acCmdSharePointSiteRecycleBin = 641
	acCmdToggleCacheListData = 642
	acCmdRemoveFilterFromCurrentColumn = 643
	acCmdRemoveAllFilters = 644
	acCmdRemoveAllSorts = 645
	acCmdCloseAll = 646
	acCmdFieldTemplates = 647
	acCmdApplyAutoFormat1 = 648
	acCmdApplyAutoFormat2 = 649
	acCmdApplyAutoFormat3 = 650
	acCmdApplyAutoFormat4 = 651
	acCmdApplyAutoFormat5 = 652
	acCmdApplyAutoFormat6 = 653
	acCmdApplyAutoFormat7 = 654
	acCmdApplyAutoFormat8 = 655
	acCmdApplyAutoFormat9 = 656
	acCmdApplyAutoFormat10 = 657
	acCmdApplyAutoFormat11 = 658
	acCmdApplyAutoFormat12 = 659
	acCmdApplyAutoFormat13 = 660
	acCmdApplyAutoFormat14 = 661
	acCmdApplyAutoFormat15 = 662
	acCmdApplyAutoFormat16 = 663
	acCmdApplyAutoFormat17 = 664
	acCmdApplyAutoFormat18 = 665
	acCmdApplyAutoFormat19 = 666
	acCmdApplyAutoFormat20 = 667
	acCmdApplyAutoFormat21 = 668
	acCmdApplyAutoFormat22 = 669
	acCmdApplyAutoFormat23 = 670
	acCmdApplyAutoFormat24 = 671
	acCmdApplyAutoFormat25 = 672
	acCmdManageAttachments = 673
	acCmdWorkflowTasks = 674
	acCmdStartNewWorkflow = 675
	acCmdShowMessageBar = 676
	acCmdHideMessageBar = 677
	acCmdLayoutInsertRowAbove = 678
	acCmdLayoutInsertRowBelow = 679
	acCmdLayoutInsertColumnLeft = 680
	acCmdLayoutInsertColumnRight = 681
	acCmdLayoutMergeCells = 682
	acCmdLayoutSplitColumnCell = 683
	acCmdLayoutSplitRowCell = 684
	acCmdShowLogicCatalog = 685
	acCmdSaveAsTemplate = 686
	acCmdSaveDatabaseAsNewTemplatePart = 687
	acCmdSaveSelectionAsNewDataType = 688
	acCmdNewObjectNavigationTop = 689
	acCmdNewObjectNavigationLeft = 690
	acCmdNewObjectNavigationRight = 691
	acCmdNewObjectNavigationTopTop = 692
	acCmdNewObjectNavigationTopLeft = 693
	acCmdNewObjectNavigationTopRight = 694
	acCmdCompatCheckDatabase = 695
	acCmdCompatCheckCurrentObject = 696
	acCmdDesignObject = 697
	acCmdCalculatedColumn = 698
	acCmdSyncWebApplication = 699
	acCmdConvertLinkedTableToLocal = 700
	acCmdNewObjectContinuousFormWeb = 701
	acCmdNewObjectDatasheetFormWeb = 702
	acCmdNewObjectBlankFormWeb = 703
	acCmdNewObjectBlankReportWeb = 704
	acCmdNewObjectAutoFormWeb = 705
	acCmdNewObjectAutoReportWeb = 706
	acCmdNewObjectQueryWeb = 707
	acCmdNewObjectMacroWeb = 708
	acCmdNewObjectNavigationTopWeb = 709
	acCmdNewObjectNavigationLeftWeb = 710
	acCmdNewObjectNavigationRightWeb = 711
	acCmdNewObjectNavigationTopTopWeb = 712
	acCmdNewObjectNavigationTopLeftWeb = 713
	acCmdNewObjectNavigationTopRightWeb = 714
	acCmdSelectEntireLayout = 715
	acCmdPrepareDatabaseForWeb = 716
	acCmdManageTableEvents = 717
	acCmdAddDataMacroAfterInsert = 718
	acCmdAddDataMacroAfterUpdate = 719
	acCmdAddDataMacroAfterDelete = 720
	acCmdAddDataMacroBeforeDelete = 721
	acCmdAddDataMacroBeforeChange = 722
	acCmdAddNamedDataMacro = 723
	acCmdInsertNavigationButton = 724
End Enum

Public Enum AcShowToolbar
	acToolbarYes = 0
	acToolbarWhereApprop = 1
	acToolbarNo = 2
End Enum

Public Enum AcFormatConditionType
	acFieldValue = 0
	acExpression = 1
	acFieldHasFocus = 2
	acDataBar = 3
End Enum

Public Enum AcFormatConditionOperator
	acBetween = 0
	acNotBetween = 1
	acEqual = 2
	acNotEqual = 3
	acGreaterThan = 4
	acLessThan = 5
	acGreaterThanOrEqual = 6
	acLessThanOrEqual = 7
End Enum

Public Enum AcColorIndex
	acColorIndexBlack = 0
	acColorIndexMaroon = 1
	acColorIndexGreen = 2
	acColorIndexOlive = 3
	acColorIndexDarkBlue = 4
	acColorIndexViolet = 5
	acColorIndexTeal = 6
	acColorIndexGray = 7
	acColorIndexSilver = 8
	acColorIndexRed = 9
	acColorIndexBrightGreen = 10
	acColorIndexYellow = 11
	acColorIndexBlue = 12
	acColorIndexFuschia = 13
	acColorIndexAqua = 14
	acColorIndexWhite = 15
End Enum

Public Enum RefKind
	TypeLib = 0
	Project = 1
End Enum

Public Enum ProcKind
	Proc = 0
	Let = 1
	Set = 2
	Get = 3
End Enum

Public Enum AcDefView
	acDefViewSingle = 0
	acDefViewContinuous = 1
	acDefViewDatasheet = 2
	acDefViewPivotTable = 3
	acDefViewPivotChart = 4
	acDefViewSplitForm = 5
End Enum

Public Enum AcCurrentView
	acCurViewDesign = 0
	acCurViewFormBrowse = 1
	acCurViewDatasheet = 2
	acCurViewPivotTable = 3
	acCurViewPivotChart = 4
	acCurViewPreview = 5
	acCurViewReportBrowse = 6
	acCurViewLayout = 7
End Enum

Public Enum AcFileFormat
	acFileFormatAccess2 = 2
	acFileFormatAccess95 = 7
	acFileFormatAccess97 = 8
	acFileFormatAccess2000 = 9
	acFileFormatAccess2002 = 10
	acFileFormatAccess2007 = 12
End Enum

Public Enum AcExportXMLObjectType
	acExportTable = 0
	acExportQuery = 1
	acExportForm = 2
	acExportReport = 3
	acExportServerView = 7
	acExportStoredProcedure = 9
	acExportFunction = 10
End Enum

Public Enum AcExportXMLSchemaFormat
	acSchemaNone = 0
	acSchemaXSD = 1
End Enum

Public Enum AcExportXMLEncoding
	acUTF8 = 0
	acUTF16 = 1
End Enum

Public Enum AcPrintColor
	acPRCMMonochrome = 1
	acPRCMColor = 2
End Enum

Public Enum AcPrintDuplex
	acPRDPSimplex = 1
	acPRDPHorizontal = 2
	acPRDPVertical = 3
End Enum

Public Enum AcPrintOrientation
	acPRORPortrait = 1
	acPRORLandscape = 2
End Enum

Public Enum AcPrintObjQuality
	acPRPQDraft = -1
	acPRPQLow = -2
	acPRPQMedium = -3
	acPRPQHigh = -4
End Enum

Public Enum AcPrintPaperBin
	acPRBNUpper = 1
	acPRBNLower = 2
	acPRBNMiddle = 3
	acPRBNManual = 4
	acPRBNEnvelope = 5
	acPRBNEnvManual = 6
	acPRBNAuto = 7
	acPRBNTractor = 8
	acPRBNSmallFmt = 9
	acPRBNLargeFmt = 10
	acPRBNLargeCapacity = 11
	acPRBNCassette = 14
	acPRBNFormSource = 15
End Enum

Public Enum AcPrintPaperSize
	acPRPSLetter = 1
	acPRPSLetterSmall = 2
	acPRPSTabloid = 3
	acPRPSLedger = 4
	acPRPSLegal = 5
	acPRPSStatement = 6
	acPRPSExecutive = 7
	acPRPSA3 = 8
	acPRPSA4 = 9
	acPRPSA4Small = 10
	acPRPSA5 = 11
	acPRPSB4 = 12
	acPRPSB5 = 13
	acPRPSFolio = 14
	acPRPSQuarto = 15
	acPRPS10x14 = 16
	acPRPS11x17 = 17
	acPRPSNote = 18
	acPRPSEnv9 = 19
	acPRPSEnv10 = 20
	acPRPSEnv11 = 21
	acPRPSEnv12 = 22
	acPRPSEnv14 = 23
	acPRPSCSheet = 24
	acPRPSDSheet = 25
	acPRPSESheet = 26
	acPRPSEnvDL = 27
	acPRPSEnvC3 = 29
	acPRPSEnvC4 = 30
	acPRPSEnvC5 = 28
	acPRPSEnvC6 = 31
	acPRPSEnvC65 = 32
	acPRPSEnvB4 = 33
	acPRPSEnvB5 = 34
	acPRPSEnvB6 = 35
	acPRPSEnvItaly = 36
	acPRPSEnvMonarch = 37
	acPRPSEnvPersonal = 38
	acPRPSFanfoldUS = 39
	acPRPSFanfoldStdGerman = 40
	acPRPSFanfoldLglGerman = 41
	acPRPSUser = 256
End Enum

Public Enum AcPrintItemLayout
	acPRHorizontalColumnLayout = 1953
	acPRVerticalColumnLayout = 1954
End Enum

Public Enum AcImportXMLOption
	acStructureOnly = 0
	acStructureAndData = 1
	acAppendData = 2
End Enum

Public Enum AcExportXMLOtherFlags
	acEmbedSchema = 1
	acExcludePrimaryKeyAndIndexes = 2
	acRunFromServer = 4
	acLiveReportSource = 8
	acPersistReportML = 16
	acExportAllTableAndFieldProperties = 32
End Enum

Public Enum AcTransformXMLScriptOption
	acEnableScript = 0
	acPromptScript = 1
	acDisableScript = 2
End Enum

Public Enum AcSplitFormPrinting
	acFormOnly = 0
	acGridOnly = 1
End Enum

Public Enum AcSplitFormOrientation
	acDatasheetOnTop = 0
	acDatasheetOnBottom = 1
	acDatasheetOnLeft = 2
	acDatasheetOnRight = 3
End Enum

Public Enum AcSplitFormDatasheet
	acDatasheetAllowEdits = 0
	acDatasheetReadOnly = 1
End Enum

Public Enum AcLayoutType
	acLayoutNone = 0
	acLayoutTabular = 1
	acLayoutStacked = 2
End Enum

Public Enum AcTextFormat
	acTextFormatPlain = 0
	acTextFormatHTMLRichText = 1
End Enum

Public Enum AcSeparatorCharacters
	acSeparatorCharactersSystemSeparator = 0
	acSeparatorCharactersNewLine = 1
	acSeparatorCharactersSemiColon = 2
	acSeparatorCharactersComma = 3
End Enum

Public Enum AcHorizontalAnchor
	acHorizontalAnchorLeft = 0
	acHorizontalAnchorRight = 1
	acHorizontalAnchorBoth = 2
End Enum

Public Enum AcVerticalAnchor
	acVerticalAnchorTop = 0
	acVerticalAnchorBottom = 1
	acVerticalAnchorBoth = 2
End Enum

Public Enum AcDisplayAs
	acDisplayAsImageIcon = 0
	acDisplayAsIcon = 1
	acDisplayAsPaperclip = 2
End Enum

Public Enum AcExportQuality
	acExportQualityPrint = 0
	acExportQualityScreen = 1
End Enum

Public Enum AcDefReportView
	acDefViewPreview = 0
	acDefViewReportBrowse = 1
End Enum

Public Enum AcSharePointListTransferType
	acImportSharePointList = 0
	acLinkSharePointList = 1
End Enum

Public Enum AcProperty
	acPropertyEnabled = 0
	acPropertyVisible = 1
	acPropertyLocked = 2
	acPropertyLeft = 3
	acPropertyTop = 4
	acPropertyWidth = 5
	acPropertyHeight = 6
	acPropertyForeColor = 7
	acPropertyBackColor = 8
	acPropertyCaption = 9
	acPropertyValue = 10
End Enum

Public Enum AcNewDatabaseFormat
	acNewDatabaseFormatUserDefault = 0
	acNewDatabaseFormatAccess2000 = 9
	acNewDatabaseFormatAccess2002 = 10
	acNewDatabaseFormatAccess2007 = 12
End Enum

Public Enum AcCursorOnHover
	acCursorOnHoverDefault = 0
	acCursorOnHoverHyperlinkHand = 1
End Enum

Public Enum AcDisplayAsHyperlink
	acDisplayAsHyperlinkIfHyperlink = 0
	acDisplayAsHyperlinkAlways = 1
	acDisplayAsHyperlinkOnScreenOnly = 2
End Enum

Public Enum AcPictureCaptionArrangement
	acNoPictureCaption = 0
	acGeneral = 1
	acTop = 2
	acBottom = 3
	acLeft = 4
	acRight = 5
End Enum

Public Enum AcWebBrowserState
	acUnintialized = 0
	acLoading = 1
	acLoaded = 2
	acInteractive = 3
	acComplete = 4
End Enum

Public Enum AcWebBrowserScrollBars
	acScrollAuto = 0
	acScrollYes = 1
	acScrollNo = 2
End Enum

Public Enum AcFormatBarLimits
	acAutomatic = 0
	acNumber = 1
	acPercent = 2
End Enum

Public Enum AcBrowseToObjectType
	acBrowseToForm = 2
	acBrowseToReport = 3
End Enum

Public Enum AcWebUserDisplay
	acWebUserID = 0
	acWebUserName = 1
	acWebUserLoginName = 2
	acWebUserEmail = 3
End Enum

Public Enum AcWebUserGroupsDisplay
	acWebUserGroupID = 0
	acWebUserGroupName = 1
End Enum

Public Enum AcResourceType
	acResourceTheme = 0
	acResourceImage = 1
End Enum

Public Enum AcNavigationSpan
	acHorizontal = 0
	acVertical = 1
End Enum

' **********************************************************************************************************
' Module:      	modMSAccess15_Enums
' Author:      	Philipp Stiefel (phil@codekabinett.com)
' Purpose:     	Enums/Constants for Access Automation with Late Binding
' Further info: English: 		http://codekabinett.com/page.php?Theme=10&Lang=2#office-automation-constants-vba-module
' 				German/Deutsch:	http://codekabinett.com/page.php?Theme=10&Lang=1#office-automation-konstanten-vba-modul
' Usage rights: You are free to use this module in any of your applications free of charge, 
'				as long as this notice remains unchanged.
' **********************************************************************************************************
